﻿using BepInEx;
using HarmonyLib;
using UnityEngine;

namespace LevelStatsAlwaysOpen
{
    [BepInPlugin(PluginInfo.PLUGIN_GUID, PluginInfo.PLUGIN_NAME, PluginInfo.PLUGIN_VERSION)]
    public class Plugin : BaseUnityPlugin
    {
        private void Awake()
        {
            // Plugin startup logic
            Logger.LogInfo($"Plugin {PluginInfo.PLUGIN_GUID} is loaded!");
            Logger.LogInfo("Initializing HarmonyLib...");
            Harmony harmony = new Harmony(PluginInfo.PLUGIN_GUID);
            harmony.PatchAll();
        }
    }

    [HarmonyPatch(typeof(LevelStatsEnabler), "Start")]
    public class LevelStatsEnabler_Start_Patch()
    {
        public static void Postfix(GameObject ___levelStats)
        {
            ___levelStats.SetActive(true);
        }
    }

    [HarmonyPatch(typeof(LevelStatsEnabler), "Update")]
    public class LevelStatsEnabler_Update_Patch()
    {
        public static bool Prefix()
        {
            return false;
        }
    }
}
